%define srcname pyjournalctl

Name:           python-journalctl
Version:        0.4.0
Release:        %mkrel 2
Summary:        A python module that reads systemd journald similar to journalctl
License:        GPLv2
Group:          Development/Python
Source0:        %{srcname}-%{version}.tar.gz
Url:            https://github.com/kwirk/pyjournalctl
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  systemd-devel
Requires:       python

%description
A python module that reads systemd journald similar to journalctl

%prep
%setup -q -n %{srcname}-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root $RPM_BUILD_ROOT --install-purelib=%{python_sitelib}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitearch}/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 379030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 colin <colin> 0.4.0-1.mga3
+ Revision: 322779
- Add systemd-devel as a Build Requirement
- imported package python-journalctl (mostly by Angelo Naselli)

